diff a/src/java.base/share/classes/jdk/internal/classfile/impl/UnboundAttribute.java b/src/java.base/share/classes/jdk/internal/classfile/impl/UnboundAttribute.java
--- a/src/java.base/share/classes/jdk/internal/classfile/impl/UnboundAttribute.java
+++ b/src/java.base/share/classes/jdk/internal/classfile/impl/UnboundAttribute.java
@@ -70,10 +70,11 @@
 import java.lang.classfile.attribute.ModuleResolutionAttribute;
 import java.lang.classfile.attribute.ModuleTargetAttribute;
 import java.lang.classfile.attribute.NestHostAttribute;
 import java.lang.classfile.attribute.NestMembersAttribute;
 import java.lang.classfile.attribute.PermittedSubclassesAttribute;
+import java.lang.classfile.attribute.PreloadAttribute;
 import java.lang.classfile.attribute.RecordAttribute;
 import java.lang.classfile.attribute.RecordComponentInfo;
 import java.lang.classfile.attribute.RuntimeInvisibleAnnotationsAttribute;
 import java.lang.classfile.attribute.RuntimeInvisibleParameterAnnotationsAttribute;
 import java.lang.classfile.attribute.RuntimeInvisibleTypeAnnotationsAttribute;
@@ -427,10 +428,26 @@
         public List<ClassEntry> permittedSubclasses() {
             return permittedSubclasses;
         }
     }
 
+    public static final class UnboundPreloadAttribute
+            extends UnboundAttribute<PreloadAttribute>
+            implements PreloadAttribute {
+        private final List<ClassEntry> preloads;
+
+        public UnboundPreloadAttribute(List<ClassEntry> preloads) {
+            super(Attributes.PRELOAD);
+            this.preloads = List.copyOf(preloads);
+        }
+
+        @Override
+        public List<ClassEntry> preloads() {
+            return preloads;
+        }
+    }
+
     public static final class UnboundNestMembersAttribute
             extends UnboundAttribute<NestMembersAttribute>
             implements NestMembersAttribute {
         private final List<ClassEntry> memberEntries;
 
